Bug 1502920 - File missing after upgrade of RHVH node from version RHVH-4.1-20170925.0 to latest.
Summary: File missing after upgrade of RHVH node from version RHVH-4.1-20170925.0 to l...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-ng
Version: 4.1.6
Hardware: All
OS: Linux
high
high
Target Milestone: ovirt-4.2.0
: ---
Assignee: Ryan Barry
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1506550
TreeView+ depends on / blocked
 
Reported: 2017-10-17 04:03 UTC by Ulhas Surse
Modified: 2019-05-16 13:09 UTC (History)
14 users (show)

(edit)
This update ensures that Red Hat Virtualization Host (RHVH) synchronizes system-specific data in /usr. This ensures that systems registered to Satellite are still able to receive updates after upgrading.
Clone Of:
: 1506550 (view as bug list)
(edit)
Last Closed: 2018-05-15 17:57:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1524 None None None 2018-05-15 17:58 UTC
oVirt gerrit 83006 master MERGED osupdater: change migrate_root to be generic 2017-11-01 13:07 UTC
oVirt gerrit 83486 ovirt-4.2 MERGED osupdater: change migrate_root to be generic 2017-11-01 13:07 UTC
Red Hat Knowledge Base (Solution) 3217021 None None None 2017-10-18 04:25 UTC

Description Ulhas Surse 2017-10-17 04:03:53 UTC
Description of problem:
Upgrading the host from version RHVH-4.1-20170925.0 is losing the satellite certificate file from the location /usr/share/rhn/

Version-Release number of selected component (if applicable):
RHVH RHVH-4.1-20170925.0-RHVH-x86_64-dvd1.iso
RHVM 4.1.6

How reproducible:
Always

Steps to Reproduce:
1) Install RHV-H 7.4 node (Usig ISO image: RHVH-4.1-20170925.0-RHVH-x86_64-dvd1.iso)
2) Register with Satellite v5.x (Using version: satellite v5.7)
3) Confirm existence of /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
4) From RHEV-M host, put newly built host into maintenance mode
5) From RHEV-M host, check for upgrades (will always come back with "updates available")
6) From RHEV-M host, upgrade newly built host.
7) When the newly built host comes back up, the file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT will no longer exist

Actual results:
The file "/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT" does not exist. 

Expected results:
The file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT should be available. 

Additional info:
Current observation is for this file only. Not sure about any other configuration missing.

Comment 2 Ryan Barry 2017-10-17 09:04:02 UTC
This will also be true for any other volatile data stored in /usr

We made a strong effort in RHV to move all volatile data to /var, as /usr on RHVH is per-image.

For the rpmdb, we've done the reverse by symlinking /var/lib/rpm to /usr/share/rpm

We can easily do this for /usr/share/rhn. Does Satellite keep any other volatile data in /usr?

Comment 3 Ulhas Surse 2017-10-18 03:41:12 UTC
F(In reply to Ryan Barry from comment #2)
> This will also be true for any other volatile data stored in /usr
> 
> We made a strong effort in RHV to move all volatile data to /var, as /usr on
> RHVH is per-image.
> 
> For the rpmdb, we've done the reverse by symlinking /var/lib/rpm to
> /usr/share/rpm
> 
> We can easily do this for /usr/share/rhn. Does Satellite keep any other
> volatile data in /usr?

For the satellite to communicate with the client, these following three files should be available with the configuration intact. 

~~~
/etc/sysconfig/rhn/up2date
/etc/sysconfig/rhn/systemid
/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
~~~

So, here the concern is only with the certificate file which is missing after the upgrade. Others are available with the configuration.

Comment 4 Sachin Raje 2017-10-18 04:16:18 UTC
The similar issue found with "/etc/resolv.conf" file. 

The changes made in 'resolv.conf' with image 'rhvh-4.1-0.20170925.0' missing after update to newer image 'rhvh-4.1-0.20171002.0'.

Steps to reproduce :

1) Build RHV-H host using RHVH-4.1-20170925.0-RHVH-x86_64-dvd1.iso
2) Join to RHEV-M DC and cluster
3) Make changes to "/etc/resolv.conf" 
3) Put newly build host into maintenance mode
4) In RHEV-M webUI, check for upgrades
5) In RHEV-M webUI, upgrade newly built host
6) After newly built host has rebooted, check /etc/resolv.conf, note the modified settings line is missing.

Comment 5 Huijuan Zhao 2017-10-19 08:12:28 UTC
QE can reproduce this issue, but not exactly according to the customer's steps due to no suitable satellite server.

1. For the file "/etc/resolv.conf"(configuration file for DNS resolvers), if modify this file directly, the modification will missing when restart network service, so this issue is not related to upgrade, as the method of modify the file is not suitable. 

1.1 I tried to modify /etc/sysconfig/network-scripts/ifcfg-$NIC(such as add: DNS1=10.72.17.6), 
1.2 Run "#service network restart", then "/etc/resolv.conf" is modified automately(add: nameserver 10.72.17.6)
1.3 Upgrade rhvh from rhvh-4.1-0.20170925.0 to rhvh-4.1-0.20171002.0 , the changes made in 'resolv.conf' in step 1.2 are persisted.


2. For the file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT, it is not exit after upgrade.

Test version:
# imgbase layout
rhvh-4.1-0.20170925.0
 +- rhvh-4.1-0.20170925.0+1
rhvh-4.1-0.20171002.0
 +- rhvh-4.1-0.20171002.0+1

Test steps:
2.1 Install rhvh-4.1-0.20170925.0
2.2 Touch new file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
2.3 Upgrade rhvh from rhvh-4.1-0.20170925.0 to rhvh-4.1-0.20171002.0
2.4 Check file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT

Actual results:
After step 2.4, there is no file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT.

Expected results:
After step 2.4, there should be file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT.

Comment 13 Huijuan Zhao 2017-12-08 03:26:00 UTC
Test version:
# imgbase layout
rhvh-4.1-0.20171205.0
 +- rhvh-4.1-0.20171205.0+1
rhvh-4.2.0.5-0.20171207.0
 +- rhvh-4.2.0.5-0.20171207.0+1

Test steps:
1 Install rhvh-4.1-0.20171205.0
2 Touch new file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT
3 Upgrade rhvh from rhvh-4.1-0.20171205.0 to rhvh-4.2.0.5-0.20171207.0
4 Check file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT

Actual results:
After step 4, there is file /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT.

So this issue is fixed in rhvh-4.2.0.5-0.20171207.0, change the status to verified.

Comment 15 Huijuan Zhao 2018-04-24 03:18:48 UTC
According to comment 13, change the status to VERIFIED.

Comment 18 errata-xmlrpc 2018-05-15 17:57:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 19 Franta Kust 2019-05-16 13:09:15 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.